/**
 * Takes two strings and returns a smart diff that can be used to describe the
 * change in a way that can be used as operations like inserting, removing or
 * replacing text.
 *
 * @param prev the previous text
 * @param next the next text
 * @returns the text difference
 */
export declare function diffText(prev?: string, next?: string): Diff | null;
export declare type Diff = {
    start: number;
    end: number;
    insertText: string;
    removeText: string;
};
//# sourceMappingURL=diff-text.d.ts.map